const weakMap = new WeakMap();
export const coValuesCache = {
    get: (raw, compute) => {
        const cached = weakMap.get(raw);
        if (cached) {
            return cached;
        }
        const computed = compute();
        weakMap.set(raw, computed);
        return computed;
    },
};
//# sourceMappingURL=cache.js.map